Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511011 - Deprecation warning for ActionController::Parameters#deep_clone
Summary: Deprecation warning for ActionController::Parameters#deep_clone
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.10.0
Assignee: Yuri Rudman
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 1511519
TreeView+ depends on / blocked
 
Reported: 2017-11-08 14:11 UTC by Yuri Rudman
Modified: 2018-06-21 21:00 UTC (History)
3 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1511519 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:00:25 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yuri Rudman 2017-11-08 14:11:40 UTC
in the log
----] W, [2017-11-07T18:18:37.712985 #33689:3fde8462af14]  WARN -- : DEPRECATION WARNING: Method deep_clone is deprecated and will be removed in Rails 5.1, as `ActionController::Parameters` no longer inherits from hash. Using this deprecated behavior exposes potential security problems. If you continue to use this method you may be creating a security vulnerability in your app that can be exploited. Instead, consider using one of these documented methods which are not deprecated: http://api.rubyonrails.org/v5.0.6/classes/ActionController/Parameters.html (called from copy_hash at /Users/yrudman/work/rh/manageiq/lib/vmdb/global_methods.rb:25)

How reproducible: Always

Steps to Reproduce:
Click on User (Right Top Corner) ->Configuration -> Region (in the left tree) -> Red hat Updates -> Edit Registration -> Validate

Expected results:
NO Deprecation warning

Comment 3 CFME Bot 2017-11-09 09:33:37 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/6731a19f5812111d764163bd8e97082d6ec398a3

commit 6731a19f5812111d764163bd8e97082d6ec398a3
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Wed Nov 8 09:24:57 2017 -0500
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Wed Nov 8 10:47:54 2017 -0500

    ActionController::Parameters#deep_clone is deprecated, use #deep_dup instead
    https://bugzilla.redhat.com/show_bug.cgi?id=1511011

 app/controllers/application_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.